std::experimental::_Has_addressof< _Tp >(3cxx)

NAME
std::experimental::_Has_addressof< _Tp > - Trait that detects the presence of an overloaded unary operator&.

SYNOPSIS

#include <optional>

Inherits std::__or_<... >::type.

Detailed Description

  template<typename _Tp>
struct std::experimental::_Has_addressof< _Tp >"Trait that detects the presence of an overloaded unary operator&.

Practically speaking this detects the presence of such an operator when called on a const-qualified lvalue (e.g. declval<const _Tp&>().operator&()).

Definition at line 162 of file optional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.